Skip Menu |
 

This queue is for tickets about the Module-ScanDeps CPAN distribution.

Report information
The Basics
Id: 132431
Status: open
Priority: 0/
Queue: Module-ScanDeps

People
Owner: Nobody in particular
Requestors: jv [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in: 1.27
Fixed in: (no value)



Subject: Implicit modules
Download (untitled) / with headers
text/plain 300b
The perl runtime may implicitly require certain modules. For example, named captures (%+ and %-) require Tie::Hash::NamedCapture. Globbing ( e.g. <*.c> ) requires File::Glob. Etc.. Scandeps -B should include these modules since it is almost impossible to detect whether they will be actually needed.
Download (untitled) / with headers
text/plain 531b
On 2020-04-27 07:21:49, JV wrote: Show quoted text
> The perl runtime may implicitly require certain modules. For example, > named captures (%+ and %-) require Tie::Hash::NamedCapture. Globbing ( > e.g. <*.c> ) requires File::Glob. Etc.. > > Scandeps -B should include these modules since it is almost impossible > to detect whether they will be actually needed.
PAR::Packer already always packs: Tie::Hash::NamedCapture PerlIO PerlIO::Scalar Errno utf8 I'm not sure taht adding these to Module::ScanDeps makes much sense. Cheers, Roderich
Because scandeps is a tool that can be used independently from PAR::Packer?


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.